Investors, warrants & staking

Get Warrant Information By Warrant Id

Returns a flattened admin view of one warrant: terms, flags, dates, active tags, config name and investor.

GEThttps://api.toku.com/tga/get-warrant-information-by-warrant-id

Not available to API keys yet. It will need grants:read.

curl --request GET \
  --url 'https://api.toku.com/tga/get-warrant-information-by-warrant-id?warrantID=%3CwarrantID%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "warrantID": "string",
  "warrantName": "string",
  "warrantAmount": 0,
  "warrantStatus": "AGREEMENT_SENT",
  "warrantConfigurationName": "string",
  "purchasePrice": 0,
  "lockupPeriodMonths": 0,
  "totalValue": 0,
  "firmName": "string",
  "lockupFrequencyType": "CUSTOM",
  "investorFullName": "string",
  "tags": [
    "string"
  ],
  "investorEntityID": "string",
  "agreementSignedAt": "string",
  "exerciseNoticeSignedAt": "string",
  "paidAt": "string",
  "settledAt": "string",
  "warrantDescription": "string",
  "issueDate": "string",
  "expirationDate": "string",
  "roleInOrgID": "string",
  "isExercised": true,
  "isOffPlatform": true,
  "isPaid": true,
  "isSigned": true,
  "isUnderLockup": true
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

warrantIDstring<uuid>required

Response

200Successful response
warrantIDstringrequired

Allowed: matches ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

warrantNamestringrequired
warrantAmountnumberrequired
warrantStatusstringrequired

Available options: AGREEMENT_SENT, AGREEMENT_SIGNED, DRAFT, EXERCISE_ELIGIBLE, EXERCISE_NOTICE_SENT, EXERCISE_NOTICE_SIGNED, IN_LOCKUP, PAID, PENDING_PAYMENT_VERIFICATION, PENDING_SETTLEMENT, SETTLED

warrantConfigurationNamestringrequired
purchasePricenumber | nullrequired
lockupPeriodMonthsinteger | nullrequired
totalValuenumber | nullrequired
firmNamestring | nullrequired
lockupFrequencyTypestringrequired

Available options: CUSTOM, DAILY, MONTHLY, QUARTERLY, SEMIANNUALLY, WEEKLY, YEARLY

investorFullNamestringrequired
tagsstring[]required
investorEntityIDstring | nullrequired

Allowed: matches ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

agreementSignedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|02-(?:0[1-9]|1\d|2[0-9]))T(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d\.\d{3}Z$

exerciseNoticeSignedAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|02-(?:0[1-9]|1\d|2[0-9]))T(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d\.\d{3}Z$

paidAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|02-(?:0[1-9]|1\d|2[0-9]))T(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d\.\d{3}Z$

settledAtstring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|02-(?:0[1-9]|1\d|2[0-9]))T(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d\.\d{3}Z$

warrantDescriptionstring | nullrequired
issueDatestringrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|02-(?:0[1-9]|1\d|2[0-9]))T(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d\.\d{3}Z$

expirationDatestring | nullrequired

Allowed: matches ^(?:\d{4}|[+-]\d{6})-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|02-(?:0[1-9]|1\d|2[0-9]))T(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d\.\d{3}Z$

roleInOrgIDstringrequired

Allowed: matches ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

isExercisedboolean | nullrequired
isOffPlatformboolean | nullrequired
isPaidboolean | nullrequired
isSignedboolean | nullrequired
isUnderLockupboolean | nullrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits